const wx2my = require('../../wx2my');
const Behavior = require('../../Behavior');
const app = getApp();

const wxService = require('../../utils/wxService');

const utils = require('../../utils/util');

const envInfo = require('../../config/index').envInfo;

Component({
  /**
   * 组件的属性列表
   */
  props: {
    showHome: {
      type: Boolean,
      value: false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
  },
  /**
   * 组件的方法列表
   */
  methods: {
    checkAll() {
      this.setData({
        checkAll: !this.data.checkAll
      });
    },

    handelToMemberRules() {
      wxService.router(`/pages/memberRules/memberRules?type=${this.props.isAuthorizationType}`);
    },

    //再想想
    close() {
      this.setData({
        showHome: false
      });
    },
    toCoupon() {
      wxService.nextTick(() => {
        this.setData({
          showHome: false
        }, () => {
          wxService.router(`/subPackage/page/pages/aliPayCoupon/aliPayCoupon`)
        })
      })
    }
  }
});